Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.bestscore
Class BestScoreProblemStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.AbstractProblemStatistic
          org.optaplanner.benchmark.impl.statistic.bestscore.BestScoreProblemStatistic

All Implemented Interfaces:
  ProblemStatistic

    public class BestScoreProblemStatistic

extends AbstractProblemStatistic

Nested Class Summary

Nested classes/interfaces inherited from class org.optaplanner.benchmark.impl.statistic.AbstractProblemStatistic
`AbstractProblemStatistic.ProblemStatisticCsv, AbstractProblemStatistic.ProblemStatisticCsvLine`

Field Summary
`protected List<File>` | `graphStatisticFileList`

Fields inherited from class org.optaplanner.benchmark.impl.statistic.AbstractProblemStatistic
`csvStatisticFile, problemBenchmark, problemStatisticType, warningList`

Constructor Summary
`BestScoreProblemStatistic(ProblemBenchmark problemBenchmark)`

Method Summary
`SingleStatistic` | `createSingleStatistic()` This method is thread-safe.
`List<String>` | `getGraphFilePathList()`
`protected void` | `writeCsvStatistic()`
`protected void` | `writeGraphStatistic()`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.AbstractProblemStatistic
`fillWarningList, getAnchorId, getCsvFilePath, getProblemBenchmark, getProblemStatisticType, getWarningList, toFilePath, writeChartToImageFile, writeStatistic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### graphStatisticFileList

    protected List<File> graphStatisticFileList

Constructor Detail

### BestScoreProblemStatistic

    public BestScoreProblemStatistic(ProblemBenchmark problemBenchmark)

Method Detail

### createSingleStatistic

    public SingleStatistic createSingleStatistic()

  Description copied from interface: `ProblemStatistic`
  This method is thread-safe.

  Returns:
    never null

### getGraphFilePathList

    public List<String> getGraphFilePathList()

  Returns:
    never null, each path is relative to the `DefaultPlannerBenchmark.benchmarkReportDirectory` (not `ProblemBenchmark.problemReportDirectory`)

### writeCsvStatistic

    protected void writeCsvStatistic()

  Specified by:
    `writeCsvStatistic` in class `AbstractProblemStatistic`

### writeGraphStatistic

    protected void writeGraphStatistic()

  Specified by:
    `writeGraphStatistic` in class `AbstractProblemStatistic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.